Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.bridge
Class JpaIndirectQuery

    java.lang.Object
      org.apache.cayenne.query.IndirectQuery
          org.apache.cayenne.jpa.bridge.JpaIndirectQuery

All Implemented Interfaces:
  Serializable, ParameterizedQuery, Query

Direct Known Subclasses:
  JpaEjbQLQuery, JpaProcedureQuery, JpaSelectQuery, JpaSQLTemplate

    public abstract class JpaIndirectQuery

extends IndirectQuery
implements ParameterizedQuery

A superclass of indirect queries that map JPA to Cayenne queries.

Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected JpaNamedQuery` | `jpaQuery`
`protected Map<String,?>` | `parameters`
`protected ObjEntity` | `parentEntity`
`protected DataMap` | `parentMap`

Fields inherited from class org.apache.cayenne.query.IndirectQuery
`lastResolver, name, replacementQuery`

Constructor Summary
`JpaIndirectQuery()`

Method Summary
`Query` | `createQuery(Map<String,?> parameters)` Creates a new query based on current query as a template, and using a Map of named parameters.
`JpaNamedQuery` | `getJpaQuery()`
`ObjEntity` | `getParentEntity()`
`DataMap` | `getParentMap()`
`void` | `setJpaQuery(JpaNamedQuery query)`
`void` | `setParentEntity(ObjEntity parentEntity)`
`void` | `setParentMap(DataMap parentMap)`

Methods inherited from class org.apache.cayenne.query.IndirectQuery
`createReplacementQuery, createSQLAction, getMetaData, getName, getReplacementQuery, route, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.query.Query
`createSQLAction, getMetaData, getName, route`

Field Detail

### jpaQuery

    protected JpaNamedQuery jpaQuery

### parentMap

    protected DataMap parentMap

### parentEntity

    protected ObjEntity parentEntity

### parameters

    protected Map<String,?> parameters

Constructor Detail

### JpaIndirectQuery

    public JpaIndirectQuery()

Method Detail

### createQuery

    public Query createQuery(Map<String,?> parameters)

  Description copied from interface: `ParameterizedQuery`
  Creates a new query based on current query as a template, and using a Map of named parameters. In case of select queries, it is up to the implementing query to name the new query to avoid cache key conflicts.

  Specified by:
    `createQuery` in interface `ParameterizedQuery`

### getJpaQuery

    public JpaNamedQuery getJpaQuery()

### setJpaQuery

    public void setJpaQuery(JpaNamedQuery query)

### getParentEntity

    public ObjEntity getParentEntity()

### setParentEntity

    public void setParentEntity(ObjEntity parentEntity)

### getParentMap

    public DataMap getParentMap()

### setParentMap

    public void setParentMap(DataMap parentMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.